- Qt 5.15
- Qt Core
- C++ Classes
- QDataStream
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QDataStream

The following members of class QDataStream are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` void | unsetDevice()

## Member Function Documentation

### void QDataStream::unsetDevice()

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Unsets the I/O device. Use setDevice(nullptr) instead.